Name: python3-mako
Version: 0.8.1
Release: 2%{?dist}
Summary: Mako template library for Python 3

Group: Development/Languages
# Mostly MIT, but _ast_util.py is Python licensed.
# The documentation contains javascript for search licensed BSD or GPLv2
License: (MIT and Python) and (BSD or GPLv2)
URL: http://www.makotemplates.org/
Source0: https://pypi.python.org/packages/source/M/Mako/Mako-%{version}.tar.gz
BuildRoot: %{_tmppath}/python3-mako-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-markupsafe
BuildRequires: python-beaker
BuildRequires: python-nose
Requires: python-markupsafe
Requires: python-beaker

BuildRequires: python3-devel
BuildRequires: python3-setuptools
%if 0%{?fedora} > 14
BuildRequires: python3-nose
%endif
BuildRequires: /usr/bin/2to3

%description
Mako is a template library written in Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's
syntax and API borrows from the best ideas of many others, including Django
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
Python (i.e. Python Server Page) language, which refines the familiar ideas of
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python
calling and scoping semantics.

This package contains the mako module built for use with python3.

%prep
%setup -q -n Mako-%{version}

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
pushd %{py3dir}
2to3 --no-diffs -w mako test
%{__python3} setup.py build
popd


%install
rm -rf %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}/%{_bindir}/mako-render %{buildroot}/%{_bindir}/python3-mako-render
popd

# These are supporting files for building the docs.  No need to ship
rm -rf doc/build

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README.rst doc examples
%{_bindir}/python3-mako-render
%{python3_sitelib}/*

%changelog
